﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="BaseDeDatosDataSet18" targetNamespace="http://tempuri.org/BaseDeDatosDataSet18.xsd" xmlns:mstns="http://tempuri.org/BaseDeDatosDataSet18.xsd" xmlns="http://tempuri.org/BaseDeDatosDataSet18.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="BaseDeDatosConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="BaseDeDatosConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.SoftCars.Properties.Settings.GlobalReference.Default.BaseDeDatosConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="rellenoFactura2TableAdapter" GeneratorDataComponentClassName="rellenoFactura2TableAdapter" Name="rellenoFactura2" UserDataComponentName="rellenoFactura2TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="BaseDeDatosConnectionString (Settings)" DbObjectName="BaseDeDatos.dbo.rellenoFactura2" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.rellenoFactura2</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@rellenoIdFac2" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="Código" DataSetColumn="Código" />
              <Mapping SourceColumn="Producto / Servicio" DataSetColumn="Producto / Servicio" />
              <Mapping SourceColumn="Cantidad" DataSetColumn="Cantidad" />
              <Mapping SourceColumn="Precio Unit" DataSetColumn="Precio Unit" />
              <Mapping SourceColumn="% Bonif" DataSetColumn="% Bonif" />
              <Mapping SourceColumn="Imp. Bonif" DataSetColumn="Imp. Bonif" />
              <Mapping SourceColumn="acumulado" DataSetColumn="acumulado" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="BaseDeDatosDataSet18" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="BaseDeDatosDataSet18" msprop:Generator_UserDSName="BaseDeDatosDataSet18">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="rellenoFactura2" msprop:Generator_TableClassName="rellenoFactura2DataTable" msprop:Generator_TableVarName="tablerellenoFactura2" msprop:Generator_TablePropName="rellenoFactura2" msprop:Generator_RowDeletingName="rellenoFactura2RowDeleting" msprop:Generator_RowChangingName="rellenoFactura2RowChanging" msprop:Generator_RowEvHandlerName="rellenoFactura2RowChangeEventHandler" msprop:Generator_RowDeletedName="rellenoFactura2RowDeleted" msprop:Generator_UserTableName="rellenoFactura2" msprop:Generator_RowChangedName="rellenoFactura2RowChanged" msprop:Generator_RowEvArgName="rellenoFactura2RowChangeEvent" msprop:Generator_RowClassName="rellenoFactura2Row">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Código" msprop:Generator_ColumnVarNameInTable="columnCódigo" msprop:Generator_ColumnPropNameInRow="Código" msprop:Generator_ColumnPropNameInTable="CódigoColumn" msprop:Generator_UserColumnName="Código" type="xs:int" />
              <xs:element name="Producto_x0020__x002F__x0020_Servicio" msprop:Generator_ColumnVarNameInTable="_columnProducto___Servicio" msprop:Generator_ColumnPropNameInRow="_Producto___Servicio" msprop:Generator_ColumnPropNameInTable="_Producto___ServicioColumn" msprop:Generator_UserColumnName="Producto / Servicio" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Cantidad" msprop:Generator_ColumnVarNameInTable="columnCantidad" msprop:Generator_ColumnPropNameInRow="Cantidad" msprop:Generator_ColumnPropNameInTable="CantidadColumn" msprop:Generator_UserColumnName="Cantidad" type="xs:int" minOccurs="0" />
              <xs:element name="Precio_x0020_Unit" msprop:Generator_ColumnVarNameInTable="columnPrecio_Unit" msprop:Generator_ColumnPropNameInRow="Precio_Unit" msprop:Generator_ColumnPropNameInTable="Precio_UnitColumn" msprop:Generator_UserColumnName="Precio Unit" type="xs:double" minOccurs="0" />
              <xs:element name="_x0025__x0020_Bonif" msprop:Generator_ColumnVarNameInTable="_column__Bonif" msprop:Generator_ColumnPropNameInRow="___Bonif" msprop:Generator_ColumnPropNameInTable="___BonifColumn" msprop:Generator_UserColumnName="% Bonif" type="xs:double" minOccurs="0" />
              <xs:element name="Imp._x0020_Bonif" msprop:Generator_ColumnVarNameInTable="_columnImp__Bonif" msprop:Generator_ColumnPropNameInRow="_Imp__Bonif" msprop:Generator_ColumnPropNameInTable="_Imp__BonifColumn" msprop:Generator_UserColumnName="Imp. Bonif" type="xs:double" minOccurs="0" />
              <xs:element name="acumulado" msprop:Generator_ColumnVarNameInTable="columnacumulado" msprop:Generator_ColumnPropNameInRow="acumulado" msprop:Generator_ColumnPropNameInTable="acumuladoColumn" msprop:Generator_UserColumnName="acumulado" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>